import { createAction } from '@reduxjs/toolkit';

const actionLogInSuccess = createAction('login/success', (value:string) => ({
  payload: value,
}));

const actionLogInReject = createAction('login/reject', () => ({
  payload: null,
}));

const actionLogOutSuccess = createAction('logout/success', () => ({
  payload: null,
}));

const actionLogOutReject = createAction('logout/reject', () => ({
  payload: null,
}));

export {
  actionLogInSuccess,
  actionLogInReject,
  actionLogOutSuccess,
  actionLogOutReject,
};
